import React__default, { useCallback } from 'react';
import classNames from 'classnames';
import styles from './menu-list-item.module.pcss.js';

const MenuListItem = ({
  item,
  level,
  linkHandler
}) => {
  const Tag = item.url ? 'a' : 'span';
  const style = {
    '--level': level
  };
  const handleClick = useCallback(event => linkHandler && item.url && linkHandler(event, item.url), []);
  return React__default.createElement(Tag, Object.assign({}, item.url ? {
    href: item.url,
    onClick: handleClick
  } : {}, {
    className: classNames(styles.menuItem, {
      [styles.menuItemRoot]: level === 0,
      [styles.active]: item.isActive,
      [styles.activeWithChild]: item.items && item.items.length
    }),
    style: style
  }), item.title);
};

export { MenuListItem };
